      FUNCTION OPTWATE(TEMP,FX,WTX,LBAND,JTYPE)
      DIMENSION FX(5),WTX(5)
      IF(JTYPE.EQ.2) GOTO 1
      OPTWATE = WTX(LBAND)
      RETURN
1      IF(FX(LBAND).LT.0.0001) GOTO 2
      OPTWATE = WTX(LBAND)/TEMP
      RETURN
2      OPTWATE = WTX(LBAND)
      RETURN
      END
